# Immobilien-Objekt

Über das Immobilien-Objekt können alle Eigenschaften einer Immobilie ausgelesen, validiert und für die Ausgabe aufbereitet werden.

### Funktionsumfang

| Funktionen                                                                                                                                                  |
| ----------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `get(<string> $name): null\|array<FormattedCollection>`                                                                                                     |
| `getType(): RealEstateTypeModel`                                                                                                                            |
| `generateExposeUrl(<int\|PageModel> $varPage): string`                                                                                                      |
| `getFields(<array> $fields): array`                                                                                                                         |
| `getMainImageUuid(): string`                                                                                                                                |
| `getImagesUuids(<array> $arrFields = null, $max = null): array`                                                                                             |
| `getStatusTokens(<array> $validStatusToken = null): array`                                                                                                  |
| `getMarketingToken(): array`                                                                                                                                |
| `getLocation(<bool> $forceCompleteAddress = false): array`                                                                                                  |
| `getLocationString(<bool> $forceCompleteAddress = false): string`                                                                                           |
| `getMainPrice(): null\|array<FormattedCollection>`                                                                                                          |
| `getMainArea(): null\|array<FormattedCollection>`                                                                                                           |
| `getAreas(): array\|null`                                                                                                                                   |
| `getPrices(): array\|null`                                                                                                                                  |
| `getAttributes(): array\|null`                                                                                                                              |
| `getDetails(<bool> $includeAddress = false): array\|null`                                                                                                   |
| `getEnergy(): array\|null`                                                                                                                                  |
| `getPropertiesByGroup(<array> $separateGroups=null, <bool> $includeAddress = false, <array> $validGroups = null, <string> $defaultGroup = 'detail'): array` |
| `getMainDetails(<int> $max = null): array`                                                                                                                  |
| `getMainAttributes(<int> $max = null): array`                                                                                                               |
| `getTexts(<array> $validTexts = null, <int> $maxTextLength = 0): array\|null`                                                                               |
| `getProvider(): ProviderModel`                                                                                                                              |
| `getContactPerson(<bool> $forceCompleteAddress = false, <bool> $useProviderForwarding = false): aray\|null`                                                 |
| `generateMainImage(<array\|string> $imgSize): string`                                                                                                       |
| `generateGallery(<array\|string> $imgSize, <array> $arrFields = null, <int> $max = null): array`                                                            |

**Siehe auch:** [Eigenschaften über das Immobilien-Objekt aus dem Template heraus abrufen](/entwickler/templates.md#eigenschaften-ueber-das-immobilien-objekt-aus-dem-template-heraus-abrufen).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.contao-estatemanager.com/entwickler/immobilien-eigenschaften/immobilien-objekt.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
